Subject: Re: bug#56682: Fix the long lines font locking related slowdowns

From: Gregory Heytings <[email-masked]>
Date: Sat, 06 Aug 2022 11:49:05 +0000

>> Just like depicted on my latest screenshot for downloadify.js: the 
>> beginning of the narrowed region ended up inside a string, and as a 
>> result several screenfuls were entirely mis-fontified, with strings and 
>> non-strings inverted.
>
> Yes, and IMNSHO responsiveness is more important than correctness in 
> these cases.
>

Especially given that the said correctness has always been relative.  So 
it's not like we're leaving the aven of 100% correctness and falling into 
the hell of 10% correctness.  A more reasonable view of the situation is 
that we had 90% correctness and now have, in files with "loo long lines" 
and only in those files, 60% correctness.